Web services API
curl --request POST \
--url https://api.gately.ai/v1/web \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"params": {}
}'import requests
url = "https://api.gately.ai/v1/web"
payload = { "params": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({params: {}})
};
fetch('https://api.gately.ai/v1/web', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"created": 123,
"model": "<string>",
"data": {},
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
},
"system_fingerprint": "<string>"
}WEB Crawling
Website Mapping
Discover and map all links on a website
POST
/
v1
/
web
Web services API
The Website Mapping service helps you discover all links and pages on a website. You can filter results using search queries and control the crawling behavior.
Required Parameters
string
required
The base URL to start mapping from
Optional Parameters
Crawl Settings
Crawl Settings
Example Request
curl --request POST \
--url https://crawl.taam.cloud/v1/web \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"url": "https://example.com",
"search": "blog",
"ignoreSitemap": true,
"includeSubdomains": false,
"limit": 1000
}'
Example Response
{
"success": true,
"links": [
"https://example.com/blog/post-1",
"https://example.com/blog/post-2",
"https://example.com/blog/categories"
]
}
Status Codes
200 - Success
200 - Success
Links mapped successfully
402 - Payment Required
402 - Payment Required
Insufficient credits
429 - Too Many Requests
429 - Too Many Requests
Rate limit exceeded
500 - Server Error
500 - Server Error
Server error occurred during mapping
Authorizations
Enter your API key prefixed with 'Bearer '
Body
application/json
Response
200 - application/json
Successful response
Was this page helpful?

